<template lang="pug">
img(v-if="imageSrc", :src="imageSrc")
</template>
  
  
  
  <script lang="js">
  
  import { toRef, computed, unref, } from 'vue';
  import { asyncComputed } from '@vueuse/core';

  import { makePainter } from '@bitaffair/vue-streamdeck';
    
  
  export default {
    props: ['painter', 'config'],
    setup(props) {
    
      const painterName = toRef(props, 'painter');
      const config = toRef(props, 'config');

      const painter = makePainter({ ICON_SIZE: 100 });

      const imageSrc = asyncComputed(async () => {
        const result = await painter.render(unref(painterName), unref(config), 1);

        const blob = await new Promise(resolve => result.canvas.toBlob(resolve));

        return URL.createObjectURL(blob);
      }, null);


      return {
        config,
        imageSrc
      }
    }
  }
  
  </script>



<style lang="scss" module="$css">
  img {
    border-radius: 15%;
  }
</style>